logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 7.4.0, 7.3.12, 7.2.25, 7.1.33, 7.0, 5.6, 5.5, 5.4, 5.3 Page Previous  1, 2, 3 ... , 10, 11, 12  Next
Author
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Fri 29 Mar '19 22:49    Post subject: Reply with quote

We are using the php_imagick.dll from this build (and thanks for that), but we have an issue in that it was built with ImageMagick 6.9.9-49 Q16 x86, but I cannot find that version (not compiled with DLL's for Windows at least. We were using 6.9.9-48 Q16 x86, but for some reason, that version is now failing on Windows 10 with Apache - works fine on Server 2008 with IIS. The only version in the 6.9.x series we could find is the last one, 6.9.10-35 Q16 x86. Now we, of course, get ": Version warning: Imagick was compiled against ImageMagick version 1689 but version 26896 is loaded. Imagick will run but may behave surprisingly in Unknown on line 0" warning now and also it fails on some operations:

"no decode delegate for this image format `TIFF' @ error/constitute.c/ReadImage/560"

Is there someplace we can download 6.9.9-49 Q16 x86 or can this be recompiled with the more recent 6.9.x version?

Thanks for all you do.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Fri 29 Mar '19 23:13    Post subject: Reply with quote

I was able to find 6.9.9-49 Q16 x86 here:

https://ftp.icm.edu.pl/packages/ImageMagick/binaries/

However, I still get this error:

no decode delegate for this image format `TIFF' @ error/constitute.c/ReadImage/560"

I do not get that error with the current php_imagick.dll and
6.9.9-48 Q16 x86.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Fri 29 Mar '19 23:30    Post subject: Reply with quote

Never mind. I forgot, the way we have this configured, I have to move all the DLL's to the root.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Fri 29 Mar '19 23:34    Post subject: Reply with quote

I'm losing my mind because now I'm getting this again. Works in unit tests, but not in Apache.

no decode delegate for this image format `TIFF' @ error/constitute.c/ReadImage/504
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sat 30 Mar '19 6:35    Post subject: Reply with quote

Weird: without any code change the daily version 6 builds by ImageMagick themselves started erroring 3 days ago:
https://ci.appveyor.com/project/dlemstra/imagemagick-windows/history

That should not have an effect on already compiled binaries, but apparently something goes wrong.

When I do a rebuild of my own fork it also fails on IM_MOD_tiff:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/build/job/2q97eiwf4hj3db81#L9722
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sat 30 Mar '19 7:06    Post subject: Reply with quote

There was an issue in the main repo:
https://github.com/ImageMagick/ImageMagick/issues/1532

The fix for ImageMagick6 didnot fix it, but aactually broke the build. See my comments of today in that issue.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Sat 30 Mar '19 21:44    Post subject: Reply with quote

Thanks, but I'm confused as to how that would affect the current issue I am having:

6.9.10-35-Q16 - works, but I get this warning:
"Version warning: Imagick was compiled against ImageMagick version 1689 but version 26896 is loaded. Imagick will run but may behave surprisingly in Unknown on line"

6.9.9-48-Q16 - does not work:
"NoDecodeDelegateForThisImageFormat `TIFF' @ error/constitute.c/ReadImage/504"

6.9.9-49-Q16 - does not work:
"NoDecodeDelegateForThisImageFormat `TIFF' @ error/constitute.c/ReadImage/504"

6.9.9-49-Q16 is the version that is indicated php_imagick.dll is built with (https://phpdev.toolsforresearch.com/php-7.3.3-nts-Win32-VC15-x86.htm), so that makes no sense.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sun 31 Mar '19 9:36    Post subject: Reply with quote

Imagick 6.9.10 did not compile anymore with the php extension and Imagick 7 did not compile for PHP5. That is why I did not upgrade.

I have now ditched php_imagick.dll for the PHP5 builds and upgraded to ImageMagick-7.0.8-36 (which should have the TIFF issue fix) for PHP7.

Installers here:
https://ci.appveyor.com/project/dlemstra/imagemagick-windows/builds/23474388/job/hxn74o5tij89wpqw/artifacts (x64)
https://ci.appveyor.com/project/dlemstra/imagemagick-windows/builds/23474388/job/odg1w6orw1v399vo/artifacts (x86)

By the time you are awake a new build should be available at
https://phpdev.toolsforresearch.com/php-7.3.4RC1-nts-Win32-VC15-x86.htm
https://phpdev.toolsforresearch.com/php-7.3.4RC1-nts-Win32-VC15-x86.zip
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Mon 15 Apr '19 9:55    Post subject: Reply with quote

I will be using ImageMagick 7 for all my builds from now on. I upgraded my repo for building ImageMagick to make sure it generates VC15 files for PHP 7.3 and PHP 7.2 and VC14 files for PHP 7.1 and 7.0. Moreover, the jobs create a zip-file with all the dll's and exe's. The files I am using can be found here:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/history

The installers and zipfiles are stored as 'artifact' in each job. For instance, for PHP 7.3 NTS x86 you will need the artifacts in this job:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/23843453/job/4wpjx08sj4fsxq4l/artifacts
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Tue 18 Jun '19 8:35    Post subject: Reply with quote

Finally, there is support for php_wincache.dll in the PHP 7.3 (and PHP 7.4) NTS builds.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Tue 18 Jun '19 20:36    Post subject: Reply with quote

Jan-E wrote:
Finally, there is support for php_wincache.dll in the PHP 7.3 (and PHP 7.4) NTS builds.


How do I find the artifacts to each of these jobs?

You posted this one:

https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/23843453/job/4wpjx08sj4fsxq4l/artifacts

But how do I find the ones for 7.3.6 NTS x64?
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Tue 18 Jun '19 22:56    Post subject: Reply with quote

history (at the top) > Version 7.0.8-41 commit 618fd67 > Environment: im_platform=x64, im_name=dll-Q16, vstudio=VS2017, toolset=v141, APPVEYOR_BUILD_WORKER_IMAGE=Visual Studio 2017 > Artifacts.

https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/23990923/job/gpd8wm2hqa581isu/artifacts

I am using ImageMagick 7.0.8-41 Q16 x64 2019-04-20 in recent builds.


Last edited by Jan-E on Tue 18 Jun '19 23:08; edited 2 times in total
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 38
Location: Flower Mound, TX

PostPosted: Tue 18 Jun '19 23:06    Post subject: Reply with quote

Oh, there it is, I missed the Artifacts tab. Thanks.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Wed 19 Jun '19 8:16    Post subject: Reply with quote

BTW: Those are the php_imagick.dll artifacts. It has nothing to do with php_wincache.dll. Official test releases for that one can be found at https://sourceforge.net/projects/wincache/files/development/
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Fri 02 Aug '19 17:34    Post subject: Reply with quote

I backported the security fixes in PHP 7.1.31 to my builds of PHP 7.0.33:
https://github.com/Jan-E/php-src/commits/PHP-7.0-patched

And updated the V8-version to V8 7.5-lkgr.
Back to top
donna9



Joined: 24 Sep 2016
Posts: 6
Location: Toronto

PostPosted: Sun 11 Aug '19 7:54    Post subject: Reply with quote

Trying to install this extension on Windows. Using v7.3.8 (nts-Win32-VC15-x64).

After adding to my php.ini: extension=v8js and run a test program with just the line: $v8 = new V8Js();

I get this error:

Code:

#
# Fatal error in , line 0
# Failed to deserialize the V8 snapshot blob. This can mean that the snapshot blob file is corrupted or missing.
#
#
#
#FailureMessage Object: 000000000413B6C8
==== C stack trace ===============================

        v8::base::debug::StackTrace::StackTrace [0x000007FEF1B8F7BB+27]
        v8::platform::DefaultPlatform::GetStackTracePrinter [0x000007FEF69D3788+56]
        V8_Fatal [0x000007FEF1B87AC2+210]
        v8::Isolate::Initialize [0x000007FED6A5DEE4+468]
        v8::Isolate::New [0x000007FED6A5DF3E+30]
        (No symbol) [0x000007FEF70929A4]
        (No symbol) [0x000007FEF1C45909]
        ZEND_DO_FCALL_SPEC_RETVAL_UNUSED_HANDLER [0x000007FEE36A020F+399] (n:\php-sdk\php73dev\zend\zend_vm_execute.h:994)
        execute_ex [0x000007FEE369D62F+79] (n:\php-sdk\php73dev\zend\zend_vm_execute.h:55334)
        (No symbol) [0x000007FEF1C45540]
        zend_execute [0x000007FEE369D574+340] (n:\php-sdk\php73dev\zend\zend_vm_execute.h:60882)
        zend_execute_scripts [0x000007FEE36621D7+151] (n:\php-sdk\php73dev\zend\zend.c:1569)
        php_execute_script [0x000007FEE3739AE9+953] (n:\php-sdk\php73dev\main\main.c:2634)
        do_cli [0x000000013FA02FF9+2553] (n:\php-sdk\php73dev\sapi\cli\php_cli.c:998)
        main [0x000000013FA01F14+1668] (n:\php-sdk\php73dev\sapi\cli\php_cli.c:1389)
        __scrt_common_main_seh [0x000000013FA0B8B8+268] (d:\agent\_work\2\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl:288)
        BaseThreadInitThunk [0x0000000077A3556D+13]
        RtlUserThreadStart [0x0000000077B9385D+29]
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sun 11 Aug '19 12:27    Post subject: Reply with quote

Oops. Forgot to add the bin-files to my zips. Try adding all the files from the win64build.vc15\bin folder in
https://phpdev.toolsforresearch.com/V8-7.5.288.31.7z
to the directory with your php.exe.

Your php.ini should contain a setting to the icudtl.dat file in that directory as well:
Code:
extension=v8js
v8js.icudtl_dat_path=icudtl.dat
I am recompiling php-7.3.8-nts-Win32-VC15-x64 at the moment. When that is done I will run the tests.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sun 11 Aug '19 14:15    Post subject: Reply with quote

Ouch. Even with the snapshot_blob.bin I got the same error.
Back to top
donna9



Joined: 24 Sep 2016
Posts: 6
Location: Toronto

PostPosted: Sun 11 Aug '19 17:06    Post subject: Reply with quote

Jan-E wrote:
Ouch. Even with the snapshot_blob.bin I got the same error.


Thanks very much Jan-E for checking into this problem. I am scratching my head too.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 982
Location: Amsterdam, NL, EU

PostPosted: Sun 11 Aug '19 19:18    Post subject: Reply with quote

With V8 7.2-lkgr it succeeds for most tests:
Code:
=====================================================================
Number of tests :  177               174
Tests skipped   :    3 (  1.7%) --------
Tests warned    :    0 (  0.0%) (  0.0%)
Tests failed    :    2 (  1.1%) (  1.1%)
Expected fail   :    0 (  0.0%) (  0.0%)
Tests passed    :  172 ( 97.2%) ( 98.9%)
---------------------------------------------------------------------
Time taken      :  190 seconds
=====================================================================

=====================================================================
FAILED TEST SUMMARY
---------------------------------------------------------------------
Test V8Js::createSnapshot() : Basic snapshot creation & re-use [tests\create_snapshot_basic.phpt]
Test V8::executeString() : Check if imported code works with umlauts [tests\unicode.phpt]
=====================================================================

That version does not use the blob bin files yet. Try the new zip that I have uploaded now.
Back to top


Reply to topic   Topic: PHP 7.4.0, 7.3.12, 7.2.25, 7.1.33, 7.0, 5.6, 5.5, 5.4, 5.3 View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads Page Previous  1, 2, 3 ... , 10, 11, 12  Next